#!/bin/sh
echo 'name: DeepArrow
version: 0.3.5
id: DeepArrow-0.3.5-276b50f7611fd61a222c338322d1e508

license: BSD3
copyright: (c) 2007-2012 by Conal Elliott
maintainer: conal@conal.net
stability: experimental
homepage: http://haskell.org/haskellwiki/DeepArrow
package-url: http://code.haskell.org/~conal/code/DeepArrow
synopsis: Arrows for "deep application"
description: This library provides a framework for type-directed composition of value
             editors (non-syntactic transformations).  The tools enable \"deep function
             application\" in two senses: deep application of functions and
             application of deep functions.  These tools generalize beyond values and
             functions, via the @DeepArrow@ subclass of the @Arrow@ type class.
             .
             For more information see:
             .
             * The project wiki page <http://haskell.org/haskellwiki/DeepArrow>
             .
             * Application of deep arrows for composable interfaces in the TV library:
             <http://haskell.org/haskellwiki/TV>
             .
             * The motivating idea and paper "Tangible Functional Programming":
             <http://conal.net/papers/Eros>
             .
             The primary module is "Control.Arrow.DeepArrow".  Examples in
             "Control.Arrow.DeepArrow.Examples".
             .
             /Note/: Many of the type signatures use infix type operators (as in
             @a~>b@).  In reading the documentation and code, be aware that infix
             operators bind more tightly than @->@.
             .
             &#169; 2007-2012 by Conal Elliott (<http://conal.net>); BSD3 license.
category: Combinators, Control
author: Conal Elliott <conal@conal.net>
exposed: True
exposed-modules: Control.Arrow.DeepArrow Data.FunArr
                 Data.DDeepArrow Language.Haskell.ToHs Language.Haskell.Parens
                 Control.Arrow.DeepArrow.Examples
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/DeepArrow-0.3.5
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/DeepArrow-0.3.5
              /usr/local/lib
hs-libraries: HSDeepArrow-0.3.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: TypeCompose-0.9.1-9cdeb58198c25e2b6e4c8a174f81697f
         base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         haskell-src-1.0.1.5-8b400fa80f9fef9ee1d786d16a02dcea
         mtl-2.1.1-ae9b44386a2528180e60dcf2412689c0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/DeepArrow-0.3.5/html/DeepArrow.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/DeepArrow-0.3.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
